%define name		psi
%define version		0.8.7
%define release		3mdk
%define title		PSI
%define summary		PSI Jabber client using QT3
%define longtitle	%{summary}
%define group		Networking/Instant messaging
%define section		%{group}
%define iconname	psi.png
%define url		http://psi.affinix.com/
%define src_url		http://prdownloads.sf.net/%{name}/%{name}-%{version}.tar.bz2
%define qtversion	3.0.5

Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		%{group}
Summary:	%{summary}
License:	GPL
URL:		%{url}
Source:		%{src_url}
Source1:	psi_icon_16.png.bz2
Source2:	psi_icon_32.png.bz2
Source3:	psi_icon_48.png.bz2

Source10:	psi_iconset_beos.zip
Source11:	psi_iconset_cosmic.zip
Source12:	psi_iconset_crystal.zip
Source13:	psi_iconset_gabber.zip
Source14:	psi_iconset_icq2.zip
Source15:	psi_iconset_licq.zip
Source16:	psi_iconset_mike.zip
Source17:	psi_iconset_smilie.zip

#Patch1:		%{name}-%{version}-logwindow-newline.patch.bz2
#Patch1:		%{name}-0.8.4-logwindow-newline.patch.bz2
#Patch5:		%{name}-%{version}-datadir.patch.bz2
#Patch6:		%{name}-0.8.5-resourcesdir.diff.bz2
Patch:		psi-0.8.7-LIBDIR.diff.bz2

BuildRequires:	libqt3-devel >= %{qtversion}
Requires:	libqt3 >= %{qtversion}

Requires:	common-licenses

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Psi is a Jabber Instant Messaging client based on Qt %{qtversion}.
Jabber protocol supports many IM paralel protocols, including ICQ and
AIM.

%prep

%setup -q -n %{name}-%{version}

#%patch1 -p0 -b .newline
#%patch5 -p1 -b .datadir
#%patch6 -p1 -b .resourcesdir
%patch0 -p1 -b .LIBDIR

%build

QTDIR=%{_libdir}/qt3
QMAKESPEC="linux-g++"
export QTDIR QMAKESPEC

./configure 				\
	--prefix=%{_prefix}		\
	--bindir=%{_bindir}		\
	--libdir=%{_datadir}/psi	\
	--qtdir=$QTDIR

%make

%install
rm -rf %{buildroot}

# psi doesn't have a make install, and the install script
# copies the files to /usr/local - we don't want that
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/psi/{i{mage,consets},sound,certs}

#cp src/psi %{buildroot}%{_datadir}/psi/psi
#chmod 0644 %{buildroot}%{_datadir}/psi/psi
#ln -s %{_datadir}/psi/psi %{buildroot}%{_bindir}/psi
cp src/psi %{buildroot}%{_bindir}/psi

#cp image/*.png %{buildroot}%{_datadir}/psi/image
#cp -a iconsets/* %{buildroot}%{_datadir}/psi/iconsets
cp -r {i{mage,consets},sound,certs} %{buildroot}%{_datadir}/psi

cp README %{buildroot}%{_datadir}/psi

# Install iconsets

for src in %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13} %{SOURCE14} %{SOURCE15} %{SOURCE16} %{SOURCE17}; do
	unzip -d%{buildroot}%{_datadir}/psi/iconsets/`basename $src .zip | sed 's|psi_iconset_||'` $src
done

# menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): \
    command="%{_bindir}/%{name}" \
    title="%{title}" \
    longtitle="%{longtitle}" \
    section="%{section}" \
    icon="%{iconname}" \
    needs="x11"
EOF
mkdir -p %{buildroot}{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
bzip2 -cd %{SOURCE1} > %{buildroot}%{_miconsdir}/%{iconname}
bzip2 -cd %{SOURCE2} > %{buildroot}%{_iconsdir}/%{iconname}
bzip2 -cd %{SOURCE3} > %{buildroot}%{_liconsdir}/%{iconname}

%post
# menu
%{update_menus}

%postun
# menu
%{clean_menus}

%clean
rm -rf %{buildroot}

%files 
%defattr(0644,root,root,0755)
%doc README
%attr(0755,root,root) %{_bindir}/psi
%dir %{_datadir}/psi
%{_datadir}/psi/*

# menu
%{_menudir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}

%changelog
* Mon Feb 24 2003 Alexander Skwar <ASkwar@DigitalProjects.com> 0.8.7-3mdk
- New glibc

* Sat Dec 28 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.8.7-2mdk
- Rebuild for new glibc
- Updated URL

* Sat Nov 16 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.8.7-1mdk
- Updated to 0.8.7
- Added all the iconsets
- Call configure

* Sat Aug 31 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.8.6-2mdk
- Forgot to copy the sound and certs directories
- Corrected URL
- TODO: A user reported, that there's a problem with the ssl plugin?

* Thu Aug 15 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.8.6-1mdk
- 0.8.6

* Mon May 20 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.8.5-1mdk
- 0.8.5
- Fix URL
- Remove patches - applied upstream

* Tue Feb  8 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.8.4-1mdk
- 0.8.4

* Mon Jan 14 2002 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.8.3.1-1mdk
- First Mandrake release, based on the Conectiva pacakge

* Tue Dec 18 2001 Helio Chissini de Castro <helio@conectiva.com.br> 
+ psi-0.8.3.1-1cl
- New minor bugfix version

* Tue Nov 13 2001 Helio Chissini de Castro <helio@conectiva.com.br> 
+ psi-0.8.2-1cl
- Bug fix adn new features release
- Name changed. Author uses 0.8.x nomenclature, leaving 0.8x lost
- Epoch added

* Mon Nov 12 2001 Helio Chissini de Castro <helio@conectiva.com.br> 
+ psi-0.81-4cl
- Minor Spec changes
- Solved install dir problems

* Fri Nov 09 2001 Helio Chissini de Castro <helio@conectiva.com.br> 
+ psi-0.81-3cl
- Added description
- Added menu items
- Added icons

* Fri Nov 09 2001 Helio Chissini de Castro <helio@conectiva.com.br> 
+ psi-0.81-2cl
- Added patch to enable right datadir

* Fri Nov 09 2001 Helio Chissini de Castro <helio@conectiva.com.br> 
+ psi-0.81-1cl
- First CL package
- Really bad way to install

